module     p0_udbar_neepbbbar_d2h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wpbb/1.4/Virtual/p0
   ! _udbar_neepbbbar/helicity0/d2h0l1d.f90
   ! generator: haggies (1.1)
   use p0_udbar_neepbbbar_config, only: ki
   use p0_udbar_neepbbbar_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d2
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p0_udbar_neepbbbar_globalsl1, only: epspow
      use p0_udbar_neepbbbar_kinematics
      use p0_udbar_neepbbbar_abbrevd2h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      real(ki) :: t41
      real(ki) :: t42
      real(ki) :: t43
      real(ki) :: t44
      real(ki) :: t45
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = k2
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t41 = dotproduct(k2, qshift)
      t1 = (spvak4k1(1)*qshift(1)-spvak4k1(2)*qshift(2)-spvak4k1(3)*qshift(3)-sp&
      &vak4k1(4)*qshift(4))
      t42 = dotproduct(qshift, qshift)
      t43 = dotproduct(k3, qshift)
      t44 = dotproduct(k4, qshift)
      t2 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t3 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t4 = (spval5k2(1)*qshift(1)-spval5k2(2)*qshift(2)-spval5k2(3)*qshift(3)-sp&
      &val5k2(4)*qshift(4))
      t5 = (spval6k2(1)*qshift(1)-spval6k2(2)*qshift(2)-spval6k2(3)*qshift(3)-sp&
      &val6k2(4)*qshift(4))
      t45 = dotproduct(k1, qshift)
      t6 = (spval5k1(1)*qshift(1)-spval5k1(2)*qshift(2)-spval5k1(3)*qshift(3)-sp&
      &val5k1(4)*qshift(4))
      t7 = (spval6k1(1)*qshift(1)-spval6k1(2)*qshift(2)-spval6k1(3)*qshift(3)-sp&
      &val6k1(4)*qshift(4))
      t8 = t41*abb2n60
      t9 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t10 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-s&
      &pvak2k1(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb2n42+t1*abb2n113+t2*abb2n83+t3*abb2n84+t4*abb2n87+t41*a&
         &bb2n104+t42*abb2n71+t43*t8+t43*abb2n82+t44*t8+t44*abb2n82+t45*abb2n91+&
         &t5*abb2n88+t1*t2*abb2n47+t10*t4*abb2n69+t10*t5*abb2n68+t2*t3*abb2n49+t&
         &2*t41*abb2n57+t2*t45*abb2n70+t2*t6*abb2n78+t2*t7*abb2n77+t3*t4*abb2n74&
         &+t3*t42*abb2n128+t3*t43*abb2n45+t3*t44*abb2n45+t3*t45*abb2n48+t3*t5*ab&
         &b2n73+t4*t42*abb2n98+t4*t45*abb2n67+t4*t9*abb2n62+t41*t42*abb2n109+t41&
         &*t45*abb2n58+t42*t5*abb2n102+t42*t6*abb2n116+t42*t7*abb2n121+t43*t6*ab&
         &b2n55+t43*t7*abb2n52+t44*t6*abb2n55+t44*t7*abb2n52+t45*t5*abb2n65+t45*&
         &t6*abb2n53+t45*t7*abb2n50+t5*t9*abb2n61+t10*t2*t4*abb2n131+t10*t2*t5*a&
         &bb2n132)
         return
      end if
      t8 = k1(iv1)
      t11 = k2(iv1)
      t12 = k3(iv1)
      t13 = k4(iv1)
      t14 = qshift(iv1)
      t15 = spvak3k1(iv1)
      t16 = spvak3k4(iv1)
      t17 = spvak4k1(iv1)
      t18 = spval5k2(iv1)
      t19 = spval6k2(iv1)
      t20 = t11*abb2n107
      t21 = spvak2k1(iv1)
      t22 = spvak2k4(iv1)
      t23 = t15*abb2n130
      t24 = spval5k1(iv1)
      t25 = t24*abb2n114
      t26 = spval6k1(iv1)
      t27 = t26*abb2n119
      if(deg.eq.1) then
         numerator = (t11*abb2n63+t12*abb2n81+t13*abb2n81+t14*abb2n92+t15*abb2n7&
         &9+t16*abb2n80+t17*abb2n56+t18*abb2n76+t19*abb2n75+t20*t43+t20*t44+t23*&
         &t43+t23*t44+t25*t43+t25*t44+t27*t43+t27*t44+t8*abb2n72+t1*t16*abb2n126&
         &+t10*t18*abb2n94+t10*t19*abb2n95+t11*t2*abb2n112+t11*t42*abb2n59+t11*t&
         &45*abb2n111+t12*t3*abb2n130+t12*t41*abb2n107+t12*t6*abb2n114+t12*t7*ab&
         &b2n119+t13*t3*abb2n130+t13*t41*abb2n107+t13*t6*abb2n114+t13*t7*abb2n11&
         &9+t14*t3*abb2n127+t14*t4*abb2n97+t14*t41*abb2n108+t14*t5*abb2n101+t14*&
         &t6*abb2n115+t14*t7*abb2n120+t15*t2*abb2n124+t15*t4*abb2n89+t15*t42*abb&
         &2n46+t15*t45*abb2n125+t15*t5*abb2n90+t16*t3*abb2n124+t16*t41*abb2n112+&
         &t16*t45*abb2n93+t16*t6*abb2n85+t16*t7*abb2n86+t17*t2*abb2n126+t18*t3*a&
         &bb2n89+t18*t42*abb2n66+t18*t45*abb2n96+t18*t9*abb2n105+t19*t3*abb2n90+&
         &t19*t42*abb2n64+t19*t45*abb2n100+t19*t9*abb2n106+t2*t24*abb2n85+t2*t26&
         &*abb2n86+t2*t8*abb2n93+t21*t4*abb2n94+t21*t5*abb2n95+t22*t4*abb2n105+t&
         &22*t5*abb2n106+t24*t42*abb2n54+t24*t45*abb2n118+t26*t42*abb2n51+t26*t4&
         &5*abb2n123+t3*t8*abb2n125+t4*t8*abb2n96+t41*t8*abb2n111+t5*t8*abb2n100&
         &+t6*t8*abb2n118+t7*t8*abb2n123+t10*t16*t4*abb2n44+t10*t16*t5*abb2n43+t&
         &10*t18*t2*abb2n44+t10*t19*t2*abb2n43+t2*t21*t4*abb2n44+t2*t21*t5*abb2n&
         &43)
         return
      end if
      t42 = d(iv1,iv2)
      t1 = k2(iv2)
      t9 = spvak3k1(iv2)
      t20 = spvak3k4(iv2)
      t23 = spval5k1(iv2)
      t25 = spval5k2(iv2)
      t27 = spval6k1(iv2)
      t28 = spval6k2(iv2)
      t29 = k1(iv2)
      t30 = k3(iv2)
      t31 = k4(iv2)
      t32 = qshift(iv2)
      t33 = t21*t25
      t34 = t21*t28
      t35 = spvak2k1(iv2)
      t36 = t18*t35
      t37 = t19*t35
      t38 = spvak2k4(iv2)
      t39 = t20*t21
      t40 = t16*t35
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t42*abb2n71+t3*t42*abb2n128+t4*t42*abb2n98+t41*t&
         &42*abb2n109+t42*t5*abb2n102+t42*t6*abb2n116+t42*t7*abb2n121)+t33*abb2n&
         &69+t34*abb2n68+t36*abb2n69+t37*abb2n68+spvak4k1(iv2)*t16*abb2n47+t1*t1&
         &2*abb2n60+t1*t13*abb2n60+t1*t14*abb2n110+t1*t16*abb2n57+t1*t8*abb2n58+&
         &t11*t20*abb2n57+t11*t29*abb2n58+t11*t30*abb2n60+t11*t31*abb2n60+t11*t3&
         &2*abb2n110+t12*t23*abb2n55+t12*t27*abb2n52+t12*t9*abb2n45+t13*t23*abb2&
         &n55+t13*t27*abb2n52+t13*t9*abb2n45+t14*t23*abb2n117+t14*t25*abb2n99+t1&
         &4*t27*abb2n122+t14*t28*abb2n103+t14*t9*abb2n129+t15*t20*abb2n49+t15*t2&
         &5*abb2n74+t15*t28*abb2n73+t15*t29*abb2n48+t15*t30*abb2n45+t15*t31*abb2&
         &n45+t15*t32*abb2n129+t16*t23*abb2n78+t16*t27*abb2n77+t16*t29*abb2n70+t&
         &16*t9*abb2n49+t17*t20*abb2n47+t18*t29*abb2n67+t18*t32*abb2n99+t18*t38*&
         &abb2n62+t18*t9*abb2n74+t19*t29*abb2n65+t19*t32*abb2n103+t19*t38*abb2n6&
         &1+t19*t9*abb2n73+t2*t33*abb2n131+t2*t34*abb2n132+t2*t36*abb2n131+t2*t3&
         &7*abb2n132+t20*t24*abb2n78+t20*t26*abb2n77+t20*t8*abb2n70+t22*t25*abb2&
         &n62+t22*t28*abb2n61+t23*t8*abb2n53+t24*t29*abb2n53+t24*t30*abb2n55+t24&
         &*t31*abb2n55+t24*t32*abb2n117+t25*t8*abb2n67+t26*t29*abb2n50+t26*t30*a&
         &bb2n52+t26*t31*abb2n52+t26*t32*abb2n122+t27*t8*abb2n50+t28*t8*abb2n65+&
         &t39*t4*abb2n131+t39*t5*abb2n132+t4*t40*abb2n131+t40*t5*abb2n132+t8*t9*&
         &abb2n48+t10*t16*t25*abb2n131+t10*t16*t28*abb2n132+t10*t18*t20*abb2n131&
         &+t10*t19*t20*abb2n132)
         return
      end if
      t41 = d(iv2,iv3)
      t43 = d(iv1,iv3)
      t2 = spval5k2(iv3)
      t3 = spval6k2(iv3)
      t4 = spvak3k4(iv3)
      t5 = t21*t4
      t4 = t35*t4
      t6 = spvak2k1(iv3)
      t7 = t16*t6
      t6 = t20*t6
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(k2(iv3)*t42*abb2n59+spvak3k1(iv3)*t42*abb2n46+sp&
         &val5k1(iv3)*t42*abb2n54+spval6k1(iv3)*t42*abb2n51+t1*t43*abb2n59+t11*t&
         &41*abb2n59+t15*t41*abb2n46+t18*t41*abb2n66+t19*t41*abb2n64+t2*t42*abb2&
         &n66+t23*t43*abb2n54+t24*t41*abb2n54+t25*t43*abb2n66+t26*t41*abb2n51+t2&
         &7*t43*abb2n51+t28*t43*abb2n64+t3*t42*abb2n64+t43*t9*abb2n46)+t18*t4*ab&
         &b2n44+t18*t6*abb2n44+t19*t4*abb2n43+t19*t6*abb2n43+t2*t39*abb2n44+t2*t&
         &40*abb2n44+t25*t5*abb2n44+t25*t7*abb2n44+t28*t5*abb2n43+t28*t7*abb2n43&
         &+t3*t39*abb2n43+t3*t40*abb2n43)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d2:
   subroutine     reconstruct_d2(coeffs)
      use p0_udbar_neepbbbar_groups, only: tensrec_info_group3
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group3), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_2:
      coeffs%coeffs_2%c0 = derivative(czip)
      coeffs%coeffs_2%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_2%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_2%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_2%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_2%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_2%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_2%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_2%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_2%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_2%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_2%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_2%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_2%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_2%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_2%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_2%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_2%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_2%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_2%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_2%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_2%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_2%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_2%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_2%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_2%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_2%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_2%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_2%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_2%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_2%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_2%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_2%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_2%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_2%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_2:
   end subroutine reconstruct_d2
!---#] subroutine reconstruct_d2:
end module p0_udbar_neepbbbar_d2h0l1d
