module     p0_udbar_neepbbbar_abbrevd26h1
   use p0_udbar_neepbbbar_config, only: ki
   use p0_udbar_neepbbbar_globalsh1
   implicit none
   private
   complex(ki), public :: abb26n1
   complex(ki), public :: abb26n2
   complex(ki), public :: abb26n3
   complex(ki), public :: abb26n4
   complex(ki), public :: abb26n5
   complex(ki), public :: abb26n6
   complex(ki), public :: abb26n7
   complex(ki), public :: abb26n8
   complex(ki), public :: abb26n9
   complex(ki), public :: abb26n10
   complex(ki), public :: abb26n11
   complex(ki), public :: abb26n12
   complex(ki), public :: abb26n13
   complex(ki), public :: abb26n14
   complex(ki), public :: abb26n15
   complex(ki), public :: abb26n16
   complex(ki), public :: abb26n17
   complex(ki), public :: abb26n18
   complex(ki), public :: abb26n19
   complex(ki), public :: abb26n20
   complex(ki), public :: rat2d26
   complex(ki), public :: abb26n22
   complex(ki), public :: abb26n23
   complex(ki), public :: abb26n24
   complex(ki), public :: abb26n25
   complex(ki), public :: abb26n26
   complex(ki), public :: abb26n27
   complex(ki), public :: abb26n28
   complex(ki), public :: abb26n29
   complex(ki), public :: abb26n30
   complex(ki), public :: abb26n31
   complex(ki), public :: abb26n32
   complex(ki), public :: abb26n33
   complex(ki), public :: abb26n34
   complex(ki), public :: abb26n35
   complex(ki), public :: abb26n36
   complex(ki), public :: abb26n37
   complex(ki), public :: abb26n38
   complex(ki), public :: abb26n39
   complex(ki), public :: abb26n40
   complex(ki), public :: abb26n41
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   real(ki) :: t22
   real(ki) :: t23
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_udbar_neepbbbar_config, only: deltaOS
      use p0_udbar_neepbbbar_kinematics
      use p0_udbar_neepbbbar_model
      use p0_udbar_neepbbbar_color, only: TR
      use p0_udbar_neepbbbar_globalsl1, only: epspow
      implicit none
      t1 = c2*i_
      t2 = t1*spak1k3
      t3 = t2*spak2l5
      t22 = TR*TR
      t4 = (es34+es56-(es234+es12))*(es34+wW*mW*i_-mW*mW)
      t5 = NC*t4
      t6 = t1*spak2l5
      t7 = c1*i_
      t8 = t7*spak1k3
      t9 = t8*spak2l5
      t10 = t22*t9*spak2l6*spbk4k1*spbl5k1*spbl5k2
      t11 = t7*spak2l5
      t12 = t22*t11*spak2l6*spak3k4*spbk4k1*spbl5k2*spbl5k4
      t23 = NC*NC
      t13 = t23*t4
      abb26n1 = ((8.0_ki)*(t22*t3/t5*spak2l6*spbk4k1*spbl5k1*spbl5k2+t22/t5*t6*s&
      &pak2l6*spak3k4*spbk4k1*spbl5k2*spbl5k4)+(4.0_ki)*(-(t12/t4+t12/t13+t10/t4&
      &+t10/t13)))
      t10 = sqrt((mB*mB))
      t12 = mB*t10*c1*i_
      t14 = t12*spak2k3
      t15 = t22*t14*spbk4k1*spbl5k2
      t16 = t4*spbl6k2
      t17 = t15/t16
      t18 = t23*t16
      t15 = t15/t18
      t10 = mB*t10*c2*i_
      t19 = t10*spak2k3
      t20 = t5*spbl6k2
      t21 = t22*(2.0_ki)*t19/t20*spbk4k1*spbl5k2
      abb26n2 = ((8.0_ki)*(t15+t17-t21))
      abb26n3 = ((8.0_ki)*(t21-(t17+t15)))
      t15 = t22*t14*spbk3k1*spbl5k2
      t17 = t22*t12*spak2k4*spbk4k1*spbl5k2
      abb26n4 = ((8.0_ki)*(t22*t19/t20*spbk3k1*spbl5k2+t22*t10/t20*spak2k4*spbk4&
      &k1*spbl5k2)+(4.0_ki)*(-(t17/t18+t17/t16+t15/t18+t15/t16)))
      t15 = t22*t12*spak1k3*spbk4k1*spbl5k1
      t17 = t22*t12*spak3k4*spbk4k1*spbl5k4
      abb26n5 = ((16.0_ki)*(-(t22*t10/t20*spak3k4*spbk4k1*spbl5k4+t22*t10/t20*sp&
      &ak1k3*spbk4k1*spbl5k1))+(8.0_ki)*(t15/t16+t15/t18+t17/t16+t17/t18))
      t12 = t22*t12*spak1k2*spbk4k1*spbl5k2
      t14 = t22*t14*spbk4k3*spbl5k2
      abb26n6 = ((8.0_ki)*(t22*t19/t20*spbk4k3*spbl5k2+t22*t10/t20*spak1k2*spbk4&
      &k1*spbl5k2)+(4.0_ki)*(-(t14/t18+t14/t16+t12/t18+t12/t16)))
      t8 = t8*spak2l6*spbk4k1
      t10 = t22*t8*spbl5k2
      t2 = t2*spak2l6*spbk4k1
      abb26n7 = ((4.0_ki)*(t22*(2.0_ki)*t2/t5*spbl5k2-(t10/t4+t10/t13)))
      t10 = t7*spak2l6
      t12 = t22*t10*spbk3k1
      t14 = t1*spak2l6
      abb26n8 = ((4.0_ki)*(t12/t13+t12/t4-t22*(2.0_ki)*t14/t5*spbk3k1))
      t12 = t7*spak2k3
      t15 = t22*t12*spbk4k1
      t16 = t15/t4
      t15 = t15/t13
      t17 = t1*spak2k3
      t18 = t22*(2.0_ki)*t17/t5*spbk4k1
      abb26n9 = ((8.0_ki)*(t15+t16-t18))
      abb26n10 = ((8.0_ki)*(t18-(t16+t15)))
      t15 = t22*t12*spbk3k1
      t16 = t22*t7*spak2k4*spbk4k1
      abb26n11 = ((8.0_ki)*(t22*t17/t5*spbk3k1+t22*t1/t5*spak2k4*spbk4k1)+(4.0_k&
      &i)*(-(t16/t4+t15/t4+t16/t13+t15/t13)))
      t9 = t22*t9*spbk4k1*spbl5k1
      t11 = t22*t11*spak3k4*spbk4k1*spbl5k4
      abb26n12 = ((8.0_ki)*(t22*t3/t5*spbk4k1*spbl5k1+t22/t5*t6*spak3k4*spbk4k1*&
      &spbl5k4)+(4.0_ki)*(-(t9/t4+t9/t13+t11/t4+t11/t13)))
      t3 = t10*spak3k4*spbk4k1
      t6 = t22*t3*spbl5k2
      t9 = t14*spak3k4*spbk4k1
      abb26n13 = ((4.0_ki)*((2.0_ki)*t22/t5*t9*spbl5k2-(t6/t4+t6/t13)))
      t6 = t22*t8*spbl5k1
      t3 = t22*t3*spbl5k4
      abb26n14 = ((8.0_ki)*(t22*t2/t5*spbl5k1+t22/t5*t9*spbl5k4)+(4.0_ki)*(-(t6/&
      &t4+t3/t4+t6/t13+t3/t13)))
      t2 = t22*t10*spbk4k1
      t3 = t2/t4
      t2 = t2/t13
      t6 = t22*(2.0_ki)*t14/t5*spbk4k1
      t8 = t2+t3-t6
      abb26n15 = ((8.0_ki)*t8)
      abb26n16 = ((4.0_ki)*t8)
      t2 = t6-(t3+t2)
      abb26n17 = ((4.0_ki)*t2)
      abb26n18 = ((8.0_ki)*t2)
      t2 = t22*t7*spak1k2*spbk4k1
      t3 = t22*t12*spbk4k3
      abb26n19 = ((8.0_ki)*(t22*t17/t5*spbk4k3+t22*t1/t5*spak1k2*spbk4k1)+(4.0_k&
      &i)*(-(t3/t4+t2/t4+t3/t13+t2/t13)))
      t1 = t22*t10*spbk4k3
      abb26n20 = ((4.0_ki)*(t1/t13+t1/t4-t22*(2.0_ki)*t14/t5*spbk4k3))
      rat2d26 = 0
      rat2 = rat2 + rat2d26
      abb26n22 = abb26n1
      abb26n23 = abb26n20
      abb26n24 = abb26n19
      abb26n25 = abb26n18
      abb26n26 = abb26n17
      abb26n27 = abb26n16
      abb26n28 = abb26n15
      abb26n29 = abb26n14
      abb26n30 = abb26n11
      abb26n31 = abb26n10
      abb26n32 = abb26n9
      abb26n33 = abb26n8
      abb26n34 = -(abb26n2)
      abb26n35 = -(abb26n3)
      abb26n36 = -(abb26n4)
      abb26n37 = -(abb26n5)
      abb26n38 = -(abb26n6)
      abb26n39 = -(abb26n7)
      abb26n40 = -(abb26n12)
      abb26n41 = -(abb26n13)
   end subroutine
end module p0_udbar_neepbbbar_abbrevd26h1
