module     p0_udbar_neepbbbar_abbrevd3h1
   use p0_udbar_neepbbbar_config, only: ki
   use p0_udbar_neepbbbar_globalsh1
   implicit none
   private
   complex(ki), public :: abb3n1
   complex(ki), public :: abb3n2
   complex(ki), public :: abb3n3
   complex(ki), public :: abb3n4
   complex(ki), public :: abb3n5
   complex(ki), public :: abb3n6
   complex(ki), public :: abb3n7
   complex(ki), public :: abb3n8
   complex(ki), public :: abb3n9
   complex(ki), public :: abb3n10
   complex(ki), public :: abb3n11
   complex(ki), public :: abb3n12
   complex(ki), public :: abb3n13
   complex(ki), public :: abb3n14
   complex(ki), public :: abb3n15
   complex(ki), public :: abb3n16
   complex(ki), public :: abb3n17
   complex(ki), public :: abb3n18
   complex(ki), public :: abb3n19
   complex(ki), public :: abb3n20
   complex(ki), public :: abb3n21
   complex(ki), public :: abb3n22
   complex(ki), public :: abb3n23
   complex(ki), public :: abb3n24
   complex(ki), public :: abb3n25
   complex(ki), public :: abb3n26
   complex(ki), public :: abb3n27
   complex(ki), public :: abb3n28
   complex(ki), public :: abb3n29
   complex(ki), public :: abb3n30
   complex(ki), public :: abb3n31
   complex(ki), public :: abb3n32
   complex(ki), public :: abb3n33
   complex(ki), public :: abb3n34
   complex(ki), public :: rat2d3
   complex(ki), public :: abb3n36
   complex(ki), public :: abb3n37
   complex(ki), public :: abb3n38
   complex(ki), public :: abb3n39
   complex(ki), public :: abb3n40
   complex(ki), public :: abb3n41
   complex(ki), public :: abb3n42
   complex(ki), public :: abb3n43
   complex(ki), public :: abb3n44
   complex(ki), public :: abb3n45
   complex(ki), public :: abb3n46
   complex(ki), public :: abb3n47
   complex(ki), public :: abb3n48
   complex(ki), public :: abb3n49
   complex(ki), public :: abb3n50
   complex(ki), public :: abb3n51
   complex(ki), public :: abb3n52
   complex(ki), public :: abb3n53
   complex(ki), public :: abb3n54
   complex(ki), public :: abb3n55
   complex(ki), public :: abb3n56
   complex(ki), public :: abb3n57
   complex(ki), public :: abb3n58
   complex(ki), public :: abb3n59
   complex(ki), public :: abb3n60
   complex(ki), public :: abb3n61
   complex(ki), public :: abb3n62
   complex(ki), public :: abb3n63
   complex(ki), public :: abb3n64
   complex(ki), public :: abb3n65
   complex(ki), public :: abb3n66
   complex(ki), public :: abb3n67
   complex(ki), public :: abb3n68
   complex(ki), public :: abb3n69
   complex(ki), public :: abb3n70
   complex(ki), public :: abb3n71
   complex(ki), public :: abb3n72
   complex(ki), public :: abb3n73
   complex(ki), public :: abb3n74
   complex(ki), public :: abb3n75
   complex(ki), public :: abb3n76
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   real(ki) :: t33
   real(ki) :: t34
   real(ki) :: t35
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_udbar_neepbbbar_config, only: deltaOS
      use p0_udbar_neepbbbar_kinematics
      use p0_udbar_neepbbbar_model
      use p0_udbar_neepbbbar_color, only: TR
      use p0_udbar_neepbbbar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = es12*c1*i_
      t3 = t2*spak2k3
      t33 = TR*TR
      t4 = es56*t1
      t34 = NC*NC
      t5 = t34*t4
      t6 = es12*c2*i_
      t7 = t6*spak2k3
      t1 = es56*NC*t1
      t35 = TR*mB
      t8 = t35*spak2k3
      t8 = t8*t8
      t4 = t34*t4*spak2l5*spbl6k2
      t9 = t1*spak2l5*spbl6k2
      abb3n1 = ((4.0_ki)*(t6*t8/t9*spbk2k1*spbk4k3+t33/t1*t7*spak3l6*spbk4k3*spb&
      &l5k1+t33*t3/t5*spak2l6*spbk4k2*spbl5k1-(t33*t3/t5*spak3l6*spbk4k3*spbl5k1&
      &+t33/t1*t7*spak2l6*spbk4k2*spbl5k1+t2/t4*t8*spbk2k1*spbk4k3)))
      t10 = c1*i_
      t11 = t10*spak1k2
      t12 = t11*spak3k4
      t13 = TR*spbk4k1
      t13 = t13*t13
      t14 = c2*i_
      t15 = t14*spak1k2
      t16 = t15*spak3k4
      abb3n2 = ((4.0_ki)*(t12*t13/t5-t13/t1*t16))
      t13 = t11*spak3l6
      t17 = t33*t13/t5*spbk4k1*spbl5k1
      t18 = t15*spak3l6
      t19 = t33*t18/t1*spbk4k1*spbl5k1
      t34 = t35*t35
      t20 = t34*t3/t4*spbk4k1
      t21 = t34*t7/t9*spbk4k1
      abb3n3 = ((8.0_ki)*(t19+t21-(t20+t17)))
      abb3n4 = ((4.0_ki)*(t34*t3/t4*spbk3k1+t33/t1*t6*spak2l6*spbl5k1+t33*t13/t5&
      &*spbk3k1*spbl5k1+t34*t2/t4*spak2k4*spbk4k1+t33*t11/t5*spak4l6*spbk4k1*spb&
      &l5k1-(t33*t15/t1*spak4l6*spbk4k1*spbl5k1+t34*t6/t9*spak2k4*spbk4k1+t33*t2&
      &/t5*spak2l6*spbl5k1+t33*t18/t1*spbk3k1*spbl5k1+t34*t7/t9*spbk3k1)))
      t13 = t10*spak2k3
      t18 = t13*spbk4k1
      t22 = t14*spak2k3
      t23 = t22*spbk4k1
      abb3n5 = ((8.0_ki)*(t33*t23/t1-t33*t18/t5))
      abb3n6 = ((16.0_ki)*(t34*t18/t4-t34*t23/t9))
      t18 = t13*spak2l6
      t23 = t10*spak2l6
      t24 = t22*spak2l6
      t25 = t14*spak2l6
      abb3n7 = ((4.0_ki)*(t19+t21+t33*t24/t1*spbk4k1*spbl5k2+t33*t18/t5*spbk2k1*&
      &spbl5k4+t33*t25/t1*spak3k4*spbk4k1*spbl5k4-(t33*t23/t5*spak3k4*spbk4k1*sp&
      &bl5k4+t33*t18/t5*spbk4k1*spbl5k2+t33*t24/t1*spbk2k1*spbl5k4+t20+t17)))
      t26 = t13*spbk2k1
      t27 = t10*spak3k4*spbk4k1
      t28 = t22*spbk2k1
      t29 = t14*spak3k4*spbk4k1
      abb3n8 = ((4.0_ki)*(t33*t26/t5+t33*t27/t5-(t33*t29/t1+t33*t28/t1)))
      t30 = t18*spbk4k2
      t31 = t24*spbk4k2
      t32 = t35*spbk4k1
      t32 = t32*t32
      abb3n9 = ((8.0_ki)*(t17+t20+t16*t32/t9+t33*t30/t5*spbl5k1+t14*t8/t9*spbk2k&
      &1*spbk4k3+t33*t22/t1*spak3l6*spbk4k3*spbl5k1-(t33*t13/t5*spak3l6*spbk4k3*&
      &spbl5k1+t10/t4*t8*spbk2k1*spbk4k3+t33*t31/t1*spbl5k1+t12*t32/t4+t21+t19))&
      &)
      t8 = t33*t23/t5*spbl5k1
      t17 = t33*t25/t1*spbl5k1
      abb3n10 = ((4.0_ki)*(t8-t17))
      abb3n11 = ((8.0_ki)*(t17-t8))
      t8 = t33*t10/t5*spak3l6*spbl5k1
      t17 = t33*t14/t1*spak3l6*spbl5k1
      t19 = t8-t17
      abb3n12 = ((8.0_ki)*(t19+t34*t29/t9-t34*t27/t4))
      t20 = t34*t26/t4
      t21 = t34*t28/t9
      abb3n13 = ((4.0_ki)*(t19+t20-t21))
      t8 = t17+t21-(t8+t20)
      abb3n14 = ((4.0_ki)*t8)
      abb3n15 = ((8.0_ki)*t8)
      t8 = t10*spak2k4
      t17 = t14*spak2k4
      abb3n16 = ((4.0_ki)*(t34/t4*t8*spbk2k1+t33*t10/t5*spak4l6*spbl5k1-(t33*t14&
      &/t1*spak4l6*spbl5k1+t34*t17/t9*spbk2k1)))
      t19 = TR*spak2k3
      t19 = t19*t19
      t12 = t12*spbk4k1
      t16 = t16*spbk4k1
      abb3n17 = ((4.0_ki)*(t33/t1*t7*spbl5k4+t33*t12/t5*spbl5k4+t14/t1*t19*spbk4&
      &k3*spbl5k2+t33*t11/t5*spak2k3*spbk4k1*spbl5k2-(t33*t15/t1*spak2k3*spbk4k1&
      &*spbl5k2+t10*t19/t5*spbk4k3*spbl5k2+t33*t3/t5*spbl5k4+t33*t16/t1*spbl5k4)&
      &))
      abb3n18 = ((4.0_ki)*(t33*t31/t1*spbl5k2+t34*t12/t4*spbk4k2+t34*t7/t9*spbk4&
      &k2-(t33*t30/t5*spbl5k2+t34*t3/t4*spbk4k2+t34*t16/t9*spbk4k2)))
      t3 = t13*spbk4k2
      t7 = t22*spbk4k2
      abb3n19 = ((8.0_ki)*(t33*t3/t5-t33/t1*t7))
      t3 = t34*t7/t9-t34*t3/t4
      abb3n20 = ((4.0_ki)*t3)
      abb3n21 = ((8.0_ki)*t3)
      abb3n22 = ((4.0_ki)*(t33*t18/t5*spbk4k3*spbl5k2-t33*t24/t1*spbk4k3*spbl5k2&
      &))
      t3 = t33*t13/t5*spbl5k4
      t7 = t33*t22/t1*spbl5k4
      abb3n23 = ((8.0_ki)*(t3-t7))
      t3 = t7-t3
      abb3n24 = ((4.0_ki)*t3)
      abb3n25 = ((8.0_ki)*t3)
      abb3n26 = ((4.0_ki)*(t33*t15/t1*spbl5k1+t33*t13/t5*spbl5k3+t33/t5*t8*spbl5&
      &k4-(t33*t11/t5*spbl5k1+t33*t22/t1*spbl5k3+t33*t17/t1*spbl5k4)))
      abb3n27 = ((4.0_ki)*(t34*t2/t4+t33*t23/t5*spbl5k2+es34*t34/t4*c1*i_+es234*&
      &t34/t9*c2*i_-(es34*t34/t9*c2*i_+es234*t34/t4*c1*i_+t33*t25/t1*spbl5k2+t34&
      &*t6/t9)))
      abb3n28 = ((4.0_ki)*(t33*t25/t1*spbl5k3-t33*t23/t5*spbl5k3))
      t2 = t33*t23/t5*spbl5k4
      t3 = t33*t25/t1*spbl5k4
      t6 = t2-t3
      abb3n29 = ((8.0_ki)*t6)
      abb3n30 = ((4.0_ki)*t6)
      t2 = t3-t2
      abb3n31 = ((4.0_ki)*t2)
      abb3n32 = ((8.0_ki)*t2)
      abb3n33 = ((4.0_ki)*(t33*t14/t1-t33*t10/t5))
      abb3n34 = ((8.0_ki)*(t34*t10/t4-t34*t14/t9))
      rat2d3 = 0
      rat2 = rat2 + rat2d3
      abb3n36 = abb3n1
      abb3n37 = abb3n32
      abb3n38 = abb3n31
      abb3n39 = abb3n29
      abb3n40 = abb3n28
      abb3n41 = abb3n27
      abb3n42 = abb3n26
      abb3n43 = abb3n25
      abb3n44 = abb3n23
      abb3n45 = abb3n21
      abb3n46 = abb3n19
      abb3n47 = abb3n16
      abb3n48 = abb3n15
      abb3n49 = abb3n13
      abb3n50 = abb3n12
      abb3n51 = abb3n11
      abb3n52 = abb3n8
      abb3n53 = abb3n7
      abb3n54 = abb3n6
      abb3n55 = abb3n5
      abb3n56 = -(abb3n2)
      abb3n57 = -(abb3n3)
      abb3n58 = -(abb3n4)
      abb3n59 = ((2.0_ki)*abb3n6)
      abb3n60 = ((2.0_ki)*abb3n7)
      abb3n61 = -(abb3n9)
      abb3n62 = -(abb3n10)
      abb3n63 = (-2.0_ki)*abb3n10
      abb3n64 = -(abb3n14)
      abb3n65 = (-2.0_ki)*abb3n14
      abb3n66 = -(abb3n17)
      abb3n67 = -(abb3n18)
      abb3n68 = -(abb3n20)
      abb3n69 = (-2.0_ki)*abb3n20
      abb3n70 = -(abb3n22)
      abb3n71 = -(abb3n24)
      abb3n72 = (-2.0_ki)*abb3n24
      abb3n73 = -(abb3n30)
      abb3n74 = (-2.0_ki)*abb3n30
      abb3n75 = -(abb3n33)
      abb3n76 = -(abb3n34)
   end subroutine
end module p0_udbar_neepbbbar_abbrevd3h1
