module     p0_udbar_neepbbbar_d10h1l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wpbb/1.4/Virtual/p0
   ! _udbar_neepbbbar/helicity1/d10h1l1d.f90
   ! generator: haggies (1.1)
   use p0_udbar_neepbbbar_config, only: ki
   use p0_udbar_neepbbbar_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d10
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2) result(numerator)
      use p0_udbar_neepbbbar_globalsl1, only: epspow
      use p0_udbar_neepbbbar_kinematics
      use p0_udbar_neepbbbar_abbrevd10h1
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift(:) = 0.0_ki
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(deg.eq.0) then
         numerator = abb10n30
         return
      end if
      t1 = k2(iv1)
      t2 = spvak2k1(iv1)
      t3 = spvak2k4(iv1)
      t4 = spval6l5(iv1)
      if(deg.eq.1) then
         numerator = (l5(iv1)*abb10n49+l6(iv1)*abb10n49+spvak2l5(iv1)*abb10n48+s&
         &pvak2l6(iv1)*abb10n46+spvak3k2(iv1)*abb10n51+spvak3l5(iv1)*abb10n50+sp&
         &vak3l6(iv1)*abb10n47+spval5k1(iv1)*abb10n54+spval6k1(iv1)*abb10n55+spv&
         &al6k4(iv1)*abb10n44+t1*abb10n53+t2*abb10n56+t3*abb10n45+t4*abb10n52)
         return
      end if
      t5 = k1(iv1)
      t6 = k2(iv2)
      t7 = spval6l5(iv2)
      t8 = k1(iv2)
      t9 = k3(iv2)
      t10 = k4(iv2)
      t11 = spvak2k1(iv2)
      t12 = spvak2k4(iv2)
      t13 = spvak3k1(iv2)
      t14 = spvak3k4(iv2)
      t15 = k3(iv1)
      t16 = k4(iv1)
      t17 = spvak3k1(iv1)
      t18 = spvak3k4(iv1)
      if(deg.eq.2) then
         numerator = ((2.0_ki)*d(iv1,iv2)*abb10n35+t1*t10*abb10n40+t1*t11*abb10n&
         &33+t1*t12*abb10n36+t1*t13*abb10n31+t1*t14*abb10n38+t1*t8*abb10n41+t1*t&
         &9*abb10n40+t10*t4*abb10n43+t11*t4*abb10n34+t12*t4*abb10n37+t13*t4*abb1&
         &0n32+t14*t4*abb10n39+t15*t6*abb10n40+t15*t7*abb10n43+t16*t6*abb10n40+t&
         &16*t7*abb10n43+t17*t6*abb10n31+t17*t7*abb10n32+t18*t6*abb10n38+t18*t7*&
         &abb10n39+t2*t6*abb10n33+t2*t7*abb10n34+t3*t6*abb10n36+t3*t7*abb10n37+t&
         &4*t8*abb10n42+t4*t9*abb10n43+t5*t6*abb10n41+t5*t7*abb10n42)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d10:
   subroutine     reconstruct_d10(coeffs)
      use p0_udbar_neepbbbar_groups, only: tensrec_info_group5
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group5), intent(out) :: coeffs
      ! rank 2 case:
      !---[# reconstruct coeffs%coeffs_10:
      coeffs%coeffs_10%c0 = derivative(czip)
      coeffs%coeffs_10%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_10%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_10%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_10%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_10%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_10%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_10%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_10%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_10%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_10%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_10%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_10%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_10%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_10%c2(6,1) = derivative(czip,3,4)
      !---#] reconstruct coeffs%coeffs_10:
   end subroutine reconstruct_d10
!---#] subroutine reconstruct_d10:
end module p0_udbar_neepbbbar_d10h1l1d
