module     p0_udbar_neepbbbar_d30h1l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wpbb/1.4/Virtual/p0
   ! _udbar_neepbbbar/helicity1/d30h1l1d.f90
   ! generator: haggies (1.1)
   use p0_udbar_neepbbbar_config, only: ki
   use p0_udbar_neepbbbar_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d30
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2) result(numerator)
      use p0_udbar_neepbbbar_globalsl1, only: epspow
      use p0_udbar_neepbbbar_kinematics
      use p0_udbar_neepbbbar_abbrevd30h1
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      real(ki) :: t17
      real(ki) :: t18
      real(ki) :: t19
      real(ki) :: t20
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k6
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      t17 = dotproduct(k3, qshift)
      t18 = dotproduct(k4, qshift)
      t19 = dotproduct(k1, qshift)
      t1 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t2 = (spval6l5(1)*qshift(1)-spval6l5(2)*qshift(2)-spval6l5(3)*qshift(3)-sp&
      &val6l5(4)*qshift(4))
      t20 = dotproduct(k2, qshift)
      t3 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t4 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t5 = t20*abb30n38
      if(deg.eq.0) then
         numerator = (abb30n30+t1*abb30n44+t17*t5+t17*abb30n42+t18*t5+t18*abb30n&
         &42+t19*abb30n43+t2*abb30n52+t20*abb30n54+t3*abb30n55+t4*abb30n57+abb30&
         &n35*dotproduct(qshift, qshift)+abb30n45*(spval6k4(1)*qshift(1)-spval6k&
         &4(2)*qshift(2)-spval6k4(3)*qshift(3)-spval6k4(4)*qshift(4))+abb30n46*(&
         &spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-spva&
         &k2k4(4)*qshift(4))+abb30n47*dotproduct(l6, qshift)+abb30n48*(spval5k2(&
         &1)*qshift(1)-spval5k2(2)*qshift(2)-spval5k2(3)*qshift(3)-spval5k2(4)*q&
         &shift(4))+abb30n50*dotproduct(l5, qshift)+abb30n51*(spval6k2(1)*qshift&
         &(1)-spval6k2(2)*qshift(2)-spval6k2(3)*qshift(3)-spval6k2(4)*qshift(4))&
         &+abb30n53*(spvak3k2(1)*qshift(1)-spvak3k2(2)*qshift(2)-spvak3k2(3)*qsh&
         &ift(3)-spvak3k2(4)*qshift(4))+abb30n56*(spval6k1(1)*qshift(1)-spval6k1&
         &(2)*qshift(2)-spval6k1(3)*qshift(3)-spval6k1(4)*qshift(4))+t1*t2*abb30&
         &n37+t1*t20*abb30n36+t17*t2*abb30n41+t18*t2*abb30n41+t19*t2*abb30n40+t1&
         &9*t20*abb30n39+t2*t3*abb30n34+t2*t4*abb30n32+t20*t3*abb30n33+t20*t4*ab&
         &b30n31)
         return
      end if
      t5 = k1(iv1)
      t6 = k2(iv1)
      t7 = k3(iv1)
      t8 = k4(iv1)
      t9 = spvak2k1(iv1)
      t10 = spvak3k1(iv1)
      t11 = spvak3k4(iv1)
      t12 = spval6l5(iv1)
      t13 = t6*abb30n38
      t14 = t12*abb30n41
      if(deg.eq.1) then
         numerator = (l5(iv1)*abb30n50+l6(iv1)*abb30n47+qshift(iv1)*abb30n49+spv&
         &ak2k4(iv1)*abb30n46+spvak3k2(iv1)*abb30n53+spval5k2(iv1)*abb30n48+spva&
         &l6k1(iv1)*abb30n56+spval6k2(iv1)*abb30n51+spval6k4(iv1)*abb30n45+t10*a&
         &bb30n57+t11*abb30n44+t12*abb30n52+t13*t17+t13*t18+t14*t17+t14*t18+t5*a&
         &bb30n43+t6*abb30n54+t7*abb30n42+t8*abb30n42+t9*abb30n55+t1*t12*abb30n3&
         &7+t1*t6*abb30n36+t10*t2*abb30n32+t10*t20*abb30n31+t11*t2*abb30n37+t11*&
         &t20*abb30n36+t12*t19*abb30n40+t12*t3*abb30n34+t12*t4*abb30n32+t19*t6*a&
         &bb30n39+t2*t5*abb30n40+t2*t7*abb30n41+t2*t8*abb30n41+t2*t9*abb30n34+t2&
         &0*t5*abb30n39+t20*t7*abb30n38+t20*t8*abb30n38+t20*t9*abb30n33+t3*t6*ab&
         &b30n33+t4*t6*abb30n31)
         return
      end if
      t1 = k2(iv2)
      t2 = spval6l5(iv2)
      t3 = k1(iv2)
      t4 = k3(iv2)
      t13 = k4(iv2)
      t14 = spvak2k1(iv2)
      t15 = spvak3k1(iv2)
      t16 = spvak3k4(iv2)
      if(deg.eq.2) then
         numerator = ((2.0_ki)*d(iv1,iv2)*abb30n35+t1*t10*abb30n31+t1*t11*abb30n&
         &36+t1*t5*abb30n39+t1*t7*abb30n38+t1*t8*abb30n38+t1*t9*abb30n33+t10*t2*&
         &abb30n32+t11*t2*abb30n37+t12*t13*abb30n41+t12*t14*abb30n34+t12*t15*abb&
         &30n32+t12*t16*abb30n37+t12*t3*abb30n40+t12*t4*abb30n41+t13*t6*abb30n38&
         &+t14*t6*abb30n33+t15*t6*abb30n31+t16*t6*abb30n36+t2*t5*abb30n40+t2*t7*&
         &abb30n41+t2*t8*abb30n41+t2*t9*abb30n34+t3*t6*abb30n39+t4*t6*abb30n38)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d30:
   subroutine     reconstruct_d30(coeffs)
      use p0_udbar_neepbbbar_groups, only: tensrec_info_group5
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group5), intent(out) :: coeffs
      ! rank 2 case:
      !---[# reconstruct coeffs%coeffs_30:
      coeffs%coeffs_30%c0 = derivative(czip)
      coeffs%coeffs_30%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_30%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_30%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_30%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_30%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_30%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_30%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_30%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_30%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_30%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_30%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_30%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_30%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_30%c2(6,1) = derivative(czip,3,4)
      !---#] reconstruct coeffs%coeffs_30:
   end subroutine reconstruct_d30
!---#] subroutine reconstruct_d30:
end module p0_udbar_neepbbbar_d30h1l1d
