module     p0_udbar_neepbbbar_abbrevd27h2
   use p0_udbar_neepbbbar_config, only: ki
   use p0_udbar_neepbbbar_globalsh2
   implicit none
   private
   complex(ki), public :: abb27n1
   complex(ki), public :: abb27n2
   complex(ki), public :: abb27n3
   complex(ki), public :: abb27n4
   complex(ki), public :: abb27n5
   complex(ki), public :: abb27n6
   complex(ki), public :: abb27n7
   complex(ki), public :: abb27n8
   complex(ki), public :: abb27n9
   complex(ki), public :: abb27n10
   complex(ki), public :: abb27n11
   complex(ki), public :: abb27n12
   complex(ki), public :: abb27n13
   complex(ki), public :: abb27n14
   complex(ki), public :: abb27n15
   complex(ki), public :: abb27n16
   complex(ki), public :: rat2d27
   complex(ki), public :: abb27n18
   complex(ki), public :: abb27n19
   complex(ki), public :: abb27n20
   complex(ki), public :: abb27n21
   complex(ki), public :: abb27n22
   complex(ki), public :: abb27n23
   complex(ki), public :: abb27n24
   complex(ki), public :: abb27n25
   complex(ki), public :: abb27n26
   complex(ki), public :: abb27n27
   complex(ki), public :: abb27n28
   complex(ki), public :: abb27n29
   complex(ki), public :: abb27n30
   complex(ki), public :: abb27n31
   complex(ki), public :: abb27n32
   complex(ki), public :: abb27n33
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   real(ki) :: t28
   real(ki) :: t29
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_udbar_neepbbbar_config, only: deltaOS
      use p0_udbar_neepbbbar_kinematics
      use p0_udbar_neepbbbar_model
      use p0_udbar_neepbbbar_color, only: TR
      use p0_udbar_neepbbbar_globalsl1, only: epspow
      implicit none
      t1 = c2*i_
      t2 = t1*spak1k3
      t3 = t2*spak2l5
      t28 = TR*TR
      t4 = (es34+es56-(es234+es12))*(es34+wW*mW*i_-mW*mW)
      t5 = NC*t4
      t6 = t1*spak2l5
      t7 = c1*i_
      t8 = t7*spak1k3
      t9 = t8*spak2l5
      t29 = NC*NC
      t10 = t29*t4
      t11 = t7*spak2l5
      t12 = NC*c2*i_
      t13 = t12*spak1k3
      t14 = t13*spak2l5
      t15 = t12*spak2l5
      abb27n1 = ((8.0_ki)*(-(t28/t5*t6*spak2l6*spak3k4*spbk4k1*spbl6k2*spbl6k4+t&
      &28*t3/t5*spak2l6*spbk4k1*spbl6k1*spbl6k2))+(4.0_ki)*(t28/t10*t9*spak2l6*s&
      &pbk4k1*spbl6k1*spbl6k2+t28*t14/t4*spak2l6*spbk4k1*spbl6k1*spbl6k2+t28*t11&
      &/t10*spak2l6*spak3k4*spbk4k1*spbl6k2*spbl6k4+t28*t15/t4*spak2l6*spak3k4*s&
      &pbk4k1*spbl6k2*spbl6k4))
      t16 = sqrt((mB*mB))
      t17 = mB*t16*c1*i_
      t18 = t17*spak2k3
      t19 = t4*spbl5k2
      t20 = t29*t19
      t21 = t28*t18/t20*spbk4k1*spbl6k2
      t22 = mB*t16*c2*i_
      t23 = t22*spak2k3
      t24 = t5*spbl5k2
      t25 = t28*(2.0_ki)*t23/t24*spbk4k1*spbl6k2
      t16 = mB*NC*t16*c2*i_
      t26 = t16*spak2k3
      t27 = t28*t26/t19*spbk4k1*spbl6k2
      abb27n2 = ((8.0_ki)*(t21+t27-t25))
      abb27n3 = ((8.0_ki)*(t25-(t27+t21)))
      abb27n4 = ((8.0_ki)*(-(t28*t22/t24*spak2k4*spbk4k1*spbl6k2+t28*t23/t24*spb&
      &k3k1*spbl6k2))+(4.0_ki)*(t28*t18/t20*spbk3k1*spbl6k2+t28*t26/t19*spbk3k1*&
      &spbl6k2+t28*t16/t19*spak2k4*spbk4k1*spbl6k2+t28*t17/t20*spak2k4*spbk4k1*s&
      &pbl6k2))
      abb27n5 = ((8.0_ki)*(-(t28*t22/t24*spak1k2*spbk4k1*spbl6k2+t28*t23/t24*spb&
      &k4k3*spbl6k2))+(4.0_ki)*(t28*t18/t20*spbk4k3*spbl6k2+t28*t26/t19*spbk4k3*&
      &spbl6k2+t28*t16/t19*spak1k2*spbk4k1*spbl6k2+t28*t17/t20*spak1k2*spbk4k1*s&
      &pbl6k2))
      t18 = t28/t10*t8*spbk4k1
      t21 = t28*(2.0_ki)*t2/t5*spbk4k1
      t23 = t28*t13/t4*spbk4k1
      abb27n6 = ((4.0_ki)*(t18+t23-t21))
      abb27n7 = ((4.0_ki)*(t21-(t23+t18)))
      t6 = t6*spak3k4*spbk4k1
      t11 = t11*spak3k4*spbk4k1
      t15 = t15*spak3k4*spbk4k1
      abb27n8 = ((8.0_ki)*(t28*t3/t5*spbk2k1*spbk4k1-t28/t5*t6*spbk4k2)+(4.0_ki)&
      &*(t28*t11/t10*spbk4k2+t28*t15/t4*spbk4k2-(t28*t14/t4*spbk2k1*spbk4k1+t28/&
      &t10*t9*spbk2k1*spbk4k1)))
      abb27n9 = ((16.0_ki)*(t28*t22/t24*spak1k3*spbk4k1*spbl6k1+t28*t22/t24*spak&
      &3k4*spbk4k1*spbl6k4-(t28*t3/t5*spbk4k1*spbl6k1+t28/t5*t6*spbl6k4))+(8.0_k&
      &i)*(t28*t11/t10*spbl6k4+t28*t15/t4*spbl6k4+t28/t10*t9*spbk4k1*spbl6k1+t28&
      &*t14/t4*spbk4k1*spbl6k1-(t28*t17/t20*spak3k4*spbk4k1*spbl6k4+t28*t17/t20*&
      &spak1k3*spbk4k1*spbl6k1+t28*t16/t19*spak3k4*spbk4k1*spbl6k4+t28*t16/t19*s&
      &pak1k3*spbk4k1*spbl6k1)))
      abb27n10 = ((8.0_ki)*(-(t28*t1/t5*spak2l6*spak3k4*spbk4k1*spbl6k4+t28*t2/t&
      &5*spak2l6*spbk4k1*spbl6k1))+(4.0_ki)*(t28/t10*t8*spak2l6*spbk4k1*spbl6k1+&
      &t28*t13/t4*spak2l6*spbk4k1*spbl6k1+t28/t10*t7*spak2l6*spak3k4*spbk4k1*spb&
      &l6k4+t28*t12/t4*spak2l6*spak3k4*spbk4k1*spbl6k4))
      t2 = t28/t10*t7*spak3k4*spbk4k1
      t3 = t28*(2.0_ki)*t1/t5*spak3k4*spbk4k1
      t6 = t28*t12/t4*spak3k4*spbk4k1
      abb27n11 = ((4.0_ki)*(t2+t6-t3))
      abb27n12 = ((4.0_ki)*(t3-(t6+t2)))
      t2 = t7*spak3l5
      t3 = t28*t2/t10*spbk4k1
      t6 = t1*spak3l5
      t8 = (2.0_ki)*t28/t5*t6*spbk4k1
      t9 = t12*spak3l5
      t11 = t28/t4*t9*spbk4k1
      abb27n13 = ((8.0_ki)*(t11+t3-t8))
      abb27n14 = ((8.0_ki)*(t8-(t3+t11)))
      abb27n15 = ((8.0_ki)*(t28/t5*t6*spbk3k1+t28*t1/t5*spak4l5*spbk4k1)+(4.0_ki&
      &)*(-(t28*t12/t4*spak4l5*spbk4k1+t28/t10*t7*spak4l5*spbk4k1+t28/t4*t9*spbk&
      &3k1+t28*t2/t10*spbk3k1)))
      abb27n16 = ((8.0_ki)*(t28/t5*t6*spbk4k3-t28*t1/t5*spak1l5*spbk4k1)+(4.0_ki&
      &)*(t28/t10*t7*spak1l5*spbk4k1+t28*t12/t4*spak1l5*spbk4k1-(t28/t4*t9*spbk4&
      &k3+t28*t2/t10*spbk4k3)))
      rat2d27 = 0
      rat2 = rat2 + rat2d27
      abb27n18 = abb27n1
      abb27n19 = abb27n16
      abb27n20 = abb27n15
      abb27n21 = abb27n14
      abb27n22 = abb27n13
      abb27n23 = abb27n12
      abb27n24 = abb27n11
      abb27n25 = abb27n7
      abb27n26 = abb27n6
      abb27n27 = -(abb27n2)
      abb27n28 = -(abb27n3)
      abb27n29 = -(abb27n4)
      abb27n30 = -(abb27n5)
      abb27n31 = -(abb27n8)
      abb27n32 = -(abb27n9)
      abb27n33 = -(abb27n10)
   end subroutine
end module p0_udbar_neepbbbar_abbrevd27h2
