module     p0_udbar_neepbbbar_abbrevd26h3
   use p0_udbar_neepbbbar_config, only: ki
   use p0_udbar_neepbbbar_globalsh3
   implicit none
   private
   complex(ki), public :: abb26n1
   complex(ki), public :: abb26n2
   complex(ki), public :: abb26n3
   complex(ki), public :: abb26n4
   complex(ki), public :: abb26n5
   complex(ki), public :: abb26n6
   complex(ki), public :: abb26n7
   complex(ki), public :: abb26n8
   complex(ki), public :: abb26n9
   complex(ki), public :: abb26n10
   complex(ki), public :: rat2d26
   complex(ki), public :: abb26n12
   complex(ki), public :: abb26n13
   complex(ki), public :: abb26n14
   complex(ki), public :: abb26n15
   complex(ki), public :: abb26n16
   complex(ki), public :: abb26n17
   complex(ki), public :: abb26n18
   complex(ki), public :: abb26n19
   complex(ki), public :: abb26n20
   complex(ki), public :: abb26n21
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   real(ki) :: t11
   real(ki) :: t12
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_udbar_neepbbbar_config, only: deltaOS
      use p0_udbar_neepbbbar_kinematics
      use p0_udbar_neepbbbar_model
      use p0_udbar_neepbbbar_color, only: TR
      use p0_udbar_neepbbbar_globalsl1, only: epspow
      implicit none
      t1 = sqrt((mB*mB))
      t2 = t1*c2*i_
      t3 = t2*spak2k3
      t11 = TR*TR
      t4 = (es34+es56-(es234+es12))*(es34+wW*mW*i_-mW*mW)
      t5 = NC*t4
      t1 = t1*c1*i_
      t6 = t1*spak2k3
      t7 = t11*t6*spbk3k1*spbl6l5
      t8 = t11*t1*spak2k4*spbk4k1*spbl6l5
      t12 = NC*NC
      t9 = t12*t4
      abb26n1 = ((8.0_ki)*(t11*t3/t5*spbk3k1*spbl6l5+t11*t2/t5*spak2k4*spbk4k1*s&
      &pbl6l5)+(4.0_ki)*(-(t8/t9+t7/t9+t8/t4+t7/t4)))
      t7 = t11*t6*spbk4k1*spbl6l5
      t8 = t7/t4
      t7 = t7/t9
      t10 = (2.0_ki)*t11*t3/t5*spbk4k1*spbl6l5
      abb26n2 = ((8.0_ki)*(t7+t8-t10))
      abb26n3 = ((8.0_ki)*(t10-(t8+t7)))
      t7 = t11*t1*spak1k3*spbk4k1*spbl5k1
      t8 = t11*t1*spak3k4*spbk4k1*spbl5k4
      abb26n4 = ((8.0_ki)*(t11*t2/t5*spak1k3*spbk4k1*spbl5k1+t11*t2/t5*spak3k4*s&
      &pbk4k1*spbl5k4)+(4.0_ki)*(-(t8/t9+t7/t9+t8/t4+t7/t4)))
      t1 = t11*t1*spak1k2*spbk4k1*spbl6l5
      t6 = t11*t6*spbk4k3*spbl6l5
      abb26n5 = ((8.0_ki)*(t11*t3/t5*spbk4k3*spbl6l5+t11*t2/t5*spak1k2*spbk4k1*s&
      &pbl6l5)+(4.0_ki)*(-(t6/t9+t6/t4+t1/t9+t1/t4)))
      t1 = mB*c1*i_
      t2 = t1*spak2k3
      t3 = t11*t2*spbk4k1
      t4 = t4*spak2l6
      t6 = t3/t4
      t7 = t12*t4
      t3 = t3/t7
      t8 = mB*c2*i_
      t9 = t8*spak2k3
      t5 = t5*spak2l6
      t10 = (2.0_ki)*t11/t5*t9*spbk4k1
      abb26n6 = ((8.0_ki)*(t3+t6-t10))
      abb26n7 = ((8.0_ki)*(t10-(t6+t3)))
      t3 = t11*t2*spbk3k1
      t6 = t11*t1*spak2k4*spbk4k1
      abb26n8 = ((8.0_ki)*(t11/t5*t9*spbk3k1+t11/t5*t8*spak2k4*spbk4k1)+(4.0_ki)&
      &*(-(t6/t7+t6/t4+t3/t7+t3/t4)))
      t3 = t11*t1*spak1k3*spak2l5*spbk4k1*spbl5k1
      t6 = t11*t1*spak2l5*spak3k4*spbk4k1*spbl5k4
      abb26n9 = ((8.0_ki)*(t11/t5*t8*spak1k3*spak2l5*spbk4k1*spbl5k1+t11/t5*t8*s&
      &pak2l5*spak3k4*spbk4k1*spbl5k4)+(4.0_ki)*(-(t6/t7+t6/t4+t3/t7+t3/t4)))
      t1 = t11*t1*spak1k2*spbk4k1
      t2 = t11*t2*spbk4k3
      abb26n10 = ((8.0_ki)*(t11/t5*t9*spbk4k3+t11/t5*t8*spak1k2*spbk4k1)+(4.0_ki&
      &)*(-(t2/t7+t2/t4+t1/t7+t1/t4)))
      rat2d26 = 0
      rat2 = rat2 + rat2d26
      abb26n12 = -(abb26n1)
      abb26n13 = abb26n10
      abb26n14 = abb26n8
      abb26n15 = abb26n7
      abb26n16 = abb26n6
      abb26n17 = -(abb26n2)
      abb26n18 = -(abb26n3)
      abb26n19 = -(abb26n4)
      abb26n20 = -(abb26n5)
      abb26n21 = -(abb26n9)
   end subroutine
end module p0_udbar_neepbbbar_abbrevd26h3
