module     p0_udbar_neepbbbar_abbrevd28h3
   use p0_udbar_neepbbbar_config, only: ki
   use p0_udbar_neepbbbar_globalsh3
   implicit none
   private
   complex(ki), public :: abb28n1
   complex(ki), public :: abb28n2
   complex(ki), public :: abb28n3
   complex(ki), public :: abb28n4
   complex(ki), public :: abb28n5
   complex(ki), public :: abb28n6
   complex(ki), public :: abb28n7
   complex(ki), public :: abb28n8
   complex(ki), public :: abb28n9
   complex(ki), public :: abb28n10
   complex(ki), public :: abb28n11
   complex(ki), public :: rat2d28
   complex(ki), public :: abb28n13
   complex(ki), public :: abb28n14
   complex(ki), public :: abb28n15
   complex(ki), public :: abb28n16
   complex(ki), public :: abb28n17
   complex(ki), public :: abb28n18
   complex(ki), public :: abb28n19
   complex(ki), public :: abb28n20
   complex(ki), public :: abb28n21
   complex(ki), public :: abb28n22
   complex(ki), public :: abb28n23
   complex(ki), public :: abb28n24
   complex(ki), public :: abb28n25
   complex(ki), public :: abb28n26
   complex(ki), public :: abb28n27
   complex(ki), public :: abb28n28
   complex(ki), public :: abb28n29
   complex(ki), public :: abb28n30
   complex(ki), public :: abb28n31
   complex(ki), public :: abb28n32
   complex(ki), public :: abb28n33
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   real(ki) :: t43
   real(ki) :: t44
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_udbar_neepbbbar_config, only: deltaOS
      use p0_udbar_neepbbbar_kinematics
      use p0_udbar_neepbbbar_model
      use p0_udbar_neepbbbar_color, only: TR
      use p0_udbar_neepbbbar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = sqrt((mB*mB))
      t3 = t2*c2*i_
      t43 = TR*TR
      t4 = es234*NC*t1
      t5 = mB*c2*i_
      t6 = t5*spak1k2*spak2k3
      t7 = t6*spbk4k2
      t8 = TR*spak2k3
      t9 = t8*spbl5k1
      t9 = t9*t9
      t10 = t4*spak2l6
      t11 = mB*es12*c2*i_*spbk4k3
      t12 = TR*mB*spak2k3
      t12 = t12*t12
      t13 = spak2l5*spak2l5
      t14 = t13*t4*spbl5k2
      t15 = t4*spak2l5
      t16 = t15*spak2l6
      t17 = t16*spbl5k2
      t18 = t2*c1*i_
      t1 = es234*t1
      t44 = NC*NC
      t19 = t44*t1
      t2 = NC*t2*c2*i_
      t20 = mB*c1*i_
      t21 = t20*spak1k2*spak2k3
      t22 = t21*spbk4k2
      t23 = t1*spak2l6
      t24 = t44*t23
      t25 = NC*c2
      t26 = mB*t25*i_
      t27 = t26*spak1k2*spak2k3
      t28 = t27*spbk4k2
      t29 = mB*es12*c1*i_*spbk4k3
      t30 = t1*spbl5k2
      t31 = NC*spak2l5
      t31 = t30*t31*t31
      t25 = mB*es12*t25*i_*spbk4k3
      t13 = t13*t30
      t30 = t1*spak2l5
      t32 = t30*spak2l6
      t33 = t32*spbl5k2
      t34 = t44*t33
      t35 = t44*t30
      abb28n1 = ((8.0_ki)*(t11*t12/t14*spbl6k1+t11*t12/t17*spbl5k1+t5/t10*t9*spa&
      &k1l5*spbk4k3+t43/t4*t7*spbl5k1*spbl6k1+t43*t3/t4*spak1k3*spak2k3*spbk4k3*&
      &spbl5k1*spbl6k1-(t43*t3/t4*spak1k2*spak2k3*spbk4k2*spbl5k1*spbl6k1+t43/t1&
      &5*t6*spak3l5*spbk4k3*spbl5k1*spbl6k1))+(4.0_ki)*(t43*t21/t35*spak3l5*spbk&
      &4k3*spbl5k1*spbl6k1+t43*t27/t30*spak3l5*spbk4k3*spbl5k1*spbl6k1+t43*t2/t1&
      &*spak1k2*spak2k3*spbk4k2*spbl5k1*spbl6k1+t43*t18/t19*spak1k2*spak2k3*spbk&
      &4k2*spbl5k1*spbl6k1-(t43*t18/t19*spak1k3*spak2k3*spbk4k3*spbl5k1*spbl6k1+&
      &t43*t2/t1*spak1k3*spak2k3*spbk4k3*spbl5k1*spbl6k1+t26/t23*t9*spak1l5*spbk&
      &4k3+t20/t24*t9*spak1l5*spbk4k3+t43*t22/t19*spbl5k1*spbl6k1+t43*t28/t1*spb&
      &l5k1*spbl6k1+t12*t29/t34*spbl5k1+t12*t29/t31*spbl6k1+t12*t25/t33*spbl5k1+&
      &t12/t13*t25*spbl6k1)))
      t9 = t18*spak2k3
      t11 = t9*spbk4k3
      t25 = t3*spak2k3
      t29 = t25*spbk4k3
      t36 = t2*spak2k3
      t37 = t36*spbk4k3
      abb28n2 = ((4.0_ki)*(t43*(2.0_ki)*t29/t4*spbl6k1-(t43*t11/t19*spbl6k1+t43*&
      &t37/t1*spbl6k1)))
      t6 = t6*spbk4k3
      t21 = t21*spbk4k3
      t27 = t27*spbk4k3
      abb28n3 = ((8.0_ki)*(-(t43*t29/t4*spbl6l5+t43/t15*t6*spbl6k1+t43/t10*t6*sp&
      &bl5k1))+(4.0_ki)*(t43*t37/t1*spbl6l5+t43*t11/t19*spbl6l5+t43*t21/t24*spbl&
      &5k1+t43*t21/t35*spbl6k1+t43*t27/t23*spbl5k1+t43*t27/t30*spbl6k1))
      t6 = t20*spbk4k3
      t8 = t8*t8
      t11 = t5*spbk4k3
      t21 = t26*spbk4k3
      abb28n4 = ((8.0_ki)*((2.0_ki)/t10*t11*t8*spbl5k1-(t6/t24*t8*spbl5k1+t21/t2&
      &3*t8*spbl5k1)))
      abb28n5 = ((8.0_ki)*((2.0_ki)*t11*t12/t14*spbl6k1-(t12/t31*t6*spbl6k1+t12/&
      &t13*t21*spbl6k1)))
      t8 = t25*spbk4k2
      t25 = t5*spak2k3
      t27 = t25*spbk4k2
      t29 = t25*spak3l5*spbk4k3
      t9 = t9*spbk4k2
      t36 = t36*spbk4k2
      t37 = t20*spak2k3
      t38 = t37*spbk4k2
      t39 = t26*spak2k3
      t40 = t39*spbk4k2
      t41 = t37*spak3l5*spbk4k3
      t42 = t39*spak3l5*spbk4k3
      abb28n6 = ((8.0_ki)*(t43*t27/t4*spbl6k1+t12/t17*t5*spbk2k1*spbk4k3-(t43/t4&
      &*t8*spbl6k1+t43*t29/t15*spbl6k1))+(4.0_ki)*(t43*t36/t1*spbl6k1+t43/t19*t9&
      &*spbl6k1+t43*t42/t30*spbl6k1+t43*t41/t35*spbl6k1-(t12*t26/t33*spbk2k1*spb&
      &k4k3+t12*t20/t34*spbk2k1*spbk4k3+t43*t38/t19*spbl6k1+t43*t40/t1*spbl6k1))&
      &)
      abb28n7 = ((4.0_ki)*(t43*(2.0_ki)/t15*t27-(t43*t38/t35+t43*t40/t30)))
      t17 = t43*t37*spbk4k3
      t33 = t17/t24
      t25 = t43*t25*spbk4k3
      t34 = (2.0_ki)/t10*t25
      t37 = t43*t39*spbk4k3
      t39 = t37/t23
      abb28n8 = ((8.0_ki)*(t33+t39-t34))
      abb28n9 = ((8.0_ki)*(t34-(t39+t33)))
      t33 = t44*t32
      abb28n10 = ((8.0_ki)*(t11*t12/t16+t43*t29/t15*spbl6l5+t43/t15*t7*spbl6k1+t&
      &43/t4*t8*spbl6l5+t43/t10*t5*spak1k3*spak2k3*spbk4k3*spbl5k1-(t43*t27/t4*s&
      &pbl6l5+t12/t16*t3*spbk4k3+t11*t12/t14*spbl6k2))+(4.0_ki)*(t43*t40/t1*spbl&
      &6l5+t12/t13*t21*spbl6k2+t12*t18/t33*spbk4k3+t12*t2/t32*spbk4k3+t12/t31*t6&
      &*spbl6k2+t43*t38/t19*spbl6l5-(t43*t26/t23*spak1k3*spak2k3*spbk4k3*spbl5k1&
      &+t43*t20/t24*spak1k3*spak2k3*spbk4k3*spbl5k1+t43*t41/t35*spbl6l5+t43*t42/&
      &t30*spbl6l5+t43*t28/t30*spbl6k1+t43*t22/t35*spbl6k1+t43/t19*t9*spbl6l5+t4&
      &3*t36/t1*spbl6l5+t12/t33*t6+t12*t21/t32)))
      abb28n11 = ((4.0_ki)*(t17/t35+t37/t30-(2.0_ki)/t15*t25))
      rat2d28 = 0
      rat2 = rat2 + rat2d28
      abb28n13 = abb28n1
      abb28n14 = abb28n11
      abb28n15 = abb28n10
      abb28n16 = abb28n9
      abb28n17 = abb28n8
      abb28n18 = abb28n7
      abb28n19 = abb28n6
      abb28n20 = abb28n5
      abb28n21 = abb28n4
      abb28n22 = abb28n3
      abb28n23 = abb28n2
      abb28n24 = -(abb28n2)
      abb28n25 = -(abb28n3)
      abb28n26 = -(abb28n4)
      abb28n27 = -(abb28n5)
      abb28n28 = -(abb28n6)
      abb28n29 = -(abb28n7)
      abb28n30 = -(abb28n8)
      abb28n31 = -(abb28n9)
      abb28n32 = -(abb28n10)
      abb28n33 = -(abb28n11)
   end subroutine
end module p0_udbar_neepbbbar_abbrevd28h3
