module     p0_udbar_neepbbbar_d2h1l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wpbb/1.4/Virtual/p0
   ! _udbar_neepbbbar/helicity1/d2h1l1d.f90
   ! generator: haggies (1.1)
   use p0_udbar_neepbbbar_config, only: ki
   use p0_udbar_neepbbbar_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d2
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p0_udbar_neepbbbar_globalsl1, only: epspow
      use p0_udbar_neepbbbar_kinematics
      use p0_udbar_neepbbbar_abbrevd2h1
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      real(ki) :: t40
      real(ki) :: t41
      real(ki) :: t42
      real(ki) :: t43
      real(ki) :: t44
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = k2
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t40 = dotproduct(k1, qshift)
      t1 = (spvak4k1(1)*qshift(1)-spvak4k1(2)*qshift(2)-spvak4k1(3)*qshift(3)-sp&
      &vak4k1(4)*qshift(4))
      t41 = dotproduct(qshift, qshift)
      t2 = (spval6l5(1)*qshift(1)-spval6l5(2)*qshift(2)-spval6l5(3)*qshift(3)-sp&
      &val6l5(4)*qshift(4))
      t42 = dotproduct(k3, qshift)
      t43 = dotproduct(k4, qshift)
      t3 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t4 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t44 = dotproduct(k2, qshift)
      t5 = (spvak2l5(1)*qshift(1)-spvak2l5(2)*qshift(2)-spvak2l5(3)*qshift(3)-sp&
      &vak2l5(4)*qshift(4))
      t6 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t7 = (spval6k1(1)*qshift(1)-spval6k1(2)*qshift(2)-spval6k1(3)*qshift(3)-sp&
      &val6k1(4)*qshift(4))
      t8 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t9 = t44*abb2n70
      if(deg.eq.0) then
         numerator = (abb2n42+t1*abb2n109+t2*abb2n82+t3*abb2n84+t4*abb2n87+t40*a&
         &bb2n105+t41*abb2n61+t42*t9+t42*abb2n83+t43*t9+t43*abb2n83+t44*abb2n96+&
         &t1*t3*abb2n47+t2*t4*abb2n78+t2*t40*abb2n72+t2*t41*abb2n91+t2*t6*abb2n7&
         &5+t2*t8*abb2n68+t3*t4*abb2n49+t3*t40*abb2n60+t3*t44*abb2n59+t3*t5*abb2&
         &n64+t3*t6*abb2n50+t3*t7*abb2n51+t4*t40*abb2n48+t4*t41*abb2n126+t4*t42*&
         &abb2n45+t4*t43*abb2n45+t4*t44*abb2n77+t40*t44*abb2n71+t40*t5*abb2n67+t&
         &40*t6*abb2n55+t40*t7*abb2n52+t41*t5*abb2n100+t41*t6*abb2n112+t41*t7*ab&
         &b2n117+t42*t5*abb2n65+t42*t6*abb2n57+t42*t7*abb2n54+t43*t5*abb2n65+t43&
         &*t6*abb2n57+t43*t7*abb2n54+t44*t6*abb2n74+t44*t8*abb2n63+t2*t3*t6*abb2&
         &n129+t3*t44*t6*abb2n130)
         return
      end if
      t9 = k1(iv1)
      t10 = k2(iv1)
      t11 = k3(iv1)
      t12 = k4(iv1)
      t13 = qshift(iv1)
      t14 = spvak3k1(iv1)
      t15 = spvak3k4(iv1)
      t16 = spvak4k1(iv1)
      t17 = spval6l5(iv1)
      t18 = t10*abb2n95
      t19 = spvak2k1(iv1)
      t20 = t19*abb2n110
      t21 = spvak2k4(iv1)
      t22 = spvak2l5(iv1)
      t23 = t22*abb2n102
      t24 = t14*abb2n128
      t25 = spval6k1(iv1)
      t26 = t25*abb2n115
      if(deg.eq.1) then
         numerator = (t10*abb2n69+t11*abb2n80+t12*abb2n80+t13*abb2n106+t14*abb2n&
         &76+t15*abb2n79+t16*abb2n58+t17*abb2n81+t18*t42+t18*t43+t20*t42+t20*t43&
         &+t23*t42+t23*t43+t24*t42+t24*t43+t26*t42+t26*t43+t9*abb2n62+t1*t15*abb&
         &2n124+t10*t3*abb2n108+t10*t4*abb2n86+t10*t40*abb2n94+t10*t6*abb2n89+t1&
         &0*t8*abb2n104+t11*t4*abb2n128+t11*t44*abb2n95+t11*t5*abb2n102+t11*t6*a&
         &bb2n110+t11*t7*abb2n115+t12*t4*abb2n128+t12*t44*abb2n95+t12*t5*abb2n10&
         &2+t12*t6*abb2n110+t12*t7*abb2n115+t13*t2*abb2n90+t13*t4*abb2n125+t13*t&
         &5*abb2n99+t13*t6*abb2n111+t13*t7*abb2n116+t14*t2*abb2n85+t14*t3*abb2n1&
         &22+t14*t40*abb2n123+t14*t41*abb2n46+t14*t44*abb2n86+t15*t4*abb2n122+t1&
         &5*t40*abb2n107+t15*t44*abb2n108+t15*t5*abb2n103+t15*t6*abb2n121+t15*t7&
         &*abb2n120+t16*t3*abb2n124+t17*t4*abb2n85+t17*t40*abb2n93+t17*t41*abb2n&
         &73+t17*t6*abb2n88+t17*t8*abb2n97+t19*t2*abb2n88+t19*t3*abb2n121+t19*t4&
         &0*abb2n114+t19*t41*abb2n56+t19*t44*abb2n89+t2*t21*abb2n97+t2*t9*abb2n9&
         &3+t21*t44*abb2n104+t22*t3*abb2n103+t22*t40*abb2n98+t22*t41*abb2n66+t25&
         &*t3*abb2n120+t25*t40*abb2n119+t25*t41*abb2n53+t3*t9*abb2n107+t4*t9*abb&
         &2n123+t44*t9*abb2n94+t5*t9*abb2n98+t6*t9*abb2n114+t7*t9*abb2n119+t10*t&
         &3*t6*abb2n43+t15*t2*t6*abb2n44+t15*t44*t6*abb2n43+t17*t3*t6*abb2n44+t1&
         &9*t2*t3*abb2n44+t19*t3*t44*abb2n43)
         return
      end if
      t40 = d(iv1,iv2)
      t1 = k2(iv2)
      t8 = spvak2k1(iv2)
      t18 = spvak2l5(iv2)
      t20 = spvak3k1(iv2)
      t23 = spvak3k4(iv2)
      t24 = spval6k1(iv2)
      t26 = spval6l5(iv2)
      t27 = k1(iv2)
      t28 = k3(iv2)
      t29 = k4(iv2)
      t30 = t10*t8
      t31 = spvak2k4(iv2)
      t32 = t10*t23
      t33 = t1*t19
      t34 = t1*t15
      t35 = qshift(iv2)
      t36 = t19*t23
      t37 = t19*t26
      t38 = t15*t8
      t39 = t17*t8
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t40*abb2n61+t2*t40*abb2n91+t4*t40*abb2n126+t40*t&
         &5*abb2n100+t40*t6*abb2n112+t40*t7*abb2n117)+t30*abb2n74+t32*abb2n59+t3&
         &3*abb2n74+t34*abb2n59+t36*abb2n50+t37*abb2n75+t38*abb2n50+t39*abb2n75+&
         &spvak4k1(iv2)*t15*abb2n47+t1*t11*abb2n70+t1*t12*abb2n70+t1*t14*abb2n77&
         &+t1*t21*abb2n63+t1*t9*abb2n71+t10*t20*abb2n77+t10*t27*abb2n71+t10*t28*&
         &abb2n70+t10*t29*abb2n70+t10*t31*abb2n63+t11*t18*abb2n65+t11*t20*abb2n4&
         &5+t11*t24*abb2n54+t11*t8*abb2n57+t12*t18*abb2n65+t12*t20*abb2n45+t12*t&
         &24*abb2n54+t12*t8*abb2n57+t13*t18*abb2n101+t13*t20*abb2n127+t13*t24*ab&
         &b2n118+t13*t26*abb2n92+t13*t8*abb2n113+t14*t23*abb2n49+t14*t26*abb2n78&
         &+t14*t27*abb2n48+t14*t28*abb2n45+t14*t29*abb2n45+t14*t35*abb2n127+t15*&
         &t18*abb2n64+t15*t20*abb2n49+t15*t24*abb2n51+t15*t27*abb2n60+t16*t23*ab&
         &b2n47+t17*t20*abb2n78+t17*t27*abb2n72+t17*t31*abb2n68+t17*t35*abb2n92+&
         &t18*t9*abb2n67+t19*t27*abb2n55+t19*t28*abb2n57+t19*t29*abb2n57+t19*t35&
         &*abb2n113+t2*t36*abb2n129+t2*t38*abb2n129+t20*t9*abb2n48+t21*t26*abb2n&
         &68+t22*t23*abb2n64+t22*t27*abb2n67+t22*t28*abb2n65+t22*t29*abb2n65+t22&
         &*t35*abb2n101+t23*t25*abb2n51+t23*t9*abb2n60+t24*t9*abb2n52+t25*t27*ab&
         &b2n52+t25*t28*abb2n54+t25*t29*abb2n54+t25*t35*abb2n118+t26*t9*abb2n72+&
         &t3*t30*abb2n130+t3*t33*abb2n130+t3*t37*abb2n129+t3*t39*abb2n129+t32*t6&
         &*abb2n130+t34*t6*abb2n130+t36*t44*abb2n130+t38*t44*abb2n130+t8*t9*abb2&
         &n55+t15*t26*t6*abb2n129+t17*t23*t6*abb2n129)
         return
      end if
      t41 = d(iv2,iv3)
      t42 = d(iv1,iv3)
      t2 = spvak2k1(iv3)
      t3 = spval6l5(iv3)
      t4 = spvak3k4(iv3)
      t5 = k2(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak2l5(iv3)*t40*abb2n66+spvak3k1(iv3)*t40*abb2&
         &n46+spval6k1(iv3)*t40*abb2n53+t14*t41*abb2n46+t17*t41*abb2n73+t18*t42*&
         &abb2n66+t19*t41*abb2n56+t2*t40*abb2n56+t20*t42*abb2n46+t22*t41*abb2n66&
         &+t24*t42*abb2n53+t25*t41*abb2n53+t26*t42*abb2n73+t3*t40*abb2n73+t42*t8&
         &*abb2n56)+t3*t36*abb2n44+t3*t38*abb2n44+t30*t4*abb2n43+t33*t4*abb2n43+&
         &t1*t15*t2*abb2n43+t10*t2*t23*abb2n43+t15*t2*t26*abb2n44+t15*t5*t8*abb2&
         &n43+t17*t2*t23*abb2n44+t17*t4*t8*abb2n44+t19*t23*t5*abb2n43+t19*t26*t4&
         &*abb2n44)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d2:
   subroutine     reconstruct_d2(coeffs)
      use p0_udbar_neepbbbar_groups, only: tensrec_info_group3
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group3), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_2:
      coeffs%coeffs_2%c0 = derivative(czip)
      coeffs%coeffs_2%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_2%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_2%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_2%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_2%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_2%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_2%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_2%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_2%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_2%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_2%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_2%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_2%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_2%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_2%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_2%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_2%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_2%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_2%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_2%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_2%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_2%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_2%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_2%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_2%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_2%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_2%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_2%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_2%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_2%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_2%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_2%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_2%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_2%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_2:
   end subroutine reconstruct_d2
!---#] subroutine reconstruct_d2:
end module p0_udbar_neepbbbar_d2h1l1d
