module     p0_udbar_neepbbbar_d24h3l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wpbb/1.4/Virtual/p0
   ! _udbar_neepbbbar/helicity3/d24h3l1d.f90
   ! generator: haggies (1.1)
   use p0_udbar_neepbbbar_config, only: ki
   use p0_udbar_neepbbbar_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d24
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p0_udbar_neepbbbar_globalsl1, only: epspow
      use p0_udbar_neepbbbar_kinematics
      use p0_udbar_neepbbbar_abbrevd24h3
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      real(ki) :: t30
      real(ki) :: t31
      real(ki) :: t32
      real(ki) :: t33
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k6
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t30 = dotproduct(qshift, qshift)
      t31 = dotproduct(k1, qshift)
      t32 = dotproduct(l5, qshift)
      t1 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t2 = (spvak2l5(1)*qshift(1)-spvak2l5(2)*qshift(2)-spvak2l5(3)*qshift(3)-sp&
      &vak2l5(4)*qshift(4))
      t3 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t4 = (spvak2l6(1)*qshift(1)-spvak2l6(2)*qshift(2)-spvak2l6(3)*qshift(3)-sp&
      &vak2l6(4)*qshift(4))
      t33 = dotproduct(k2, qshift)
      t5 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t6 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t7 = (spval6k1(1)*qshift(1)-spval6k1(2)*qshift(2)-spval6k1(3)*qshift(3)-sp&
      &val6k1(4)*qshift(4))
      t8 = (spval5k1(1)*qshift(1)-spval5k1(2)*qshift(2)-spval5k1(3)*qshift(3)-sp&
      &val5k1(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb24n28+t1*abb24n47+t2*abb24n48+t3*abb24n49+t30*abb24n43+&
         &t31*abb24n44+t32*abb24n46+t33*abb24n53+t4*abb24n50+t1*t2*abb24n35+t1*t&
         &3*abb24n42+t1*t4*abb24n39+t3*t33*abb24n32+t3*t4*abb24n29+t3*t5*abb24n3&
         &0+t30*t4*abb24n51+t30*t5*abb24n54+t31*t5*abb24n38+t32*t4*abb24n41+t32*&
         &t5*abb24n37+t33*t4*abb24n40+t33*t5*abb24n36+t4*t6*abb24n31+t4*t7*abb24&
         &n33+t4*t8*abb24n34+t1*t3*t4*abb24n56)
         return
      end if
      t9 = k1(iv1)
      t10 = k2(iv1)
      t11 = l5(iv1)
      t12 = qshift(iv1)
      t13 = spvak2k1(iv1)
      t14 = spvak2l5(iv1)
      t15 = spvak2l6(iv1)
      t16 = spvak3k4(iv1)
      t17 = spvak2k4(iv1)
      t18 = spvak3k1(iv1)
      t19 = spval5k1(iv1)
      t20 = spval6k1(iv1)
      if(deg.eq.1) then
         numerator = (t10*abb24n53+t11*abb24n46+t12*abb24n45+t13*abb24n49+t14*ab&
         &b24n48+t15*abb24n50+t16*abb24n47+t9*abb24n44+t1*t13*abb24n42+t1*t14*ab&
         &b24n35+t1*t15*abb24n39+t10*t3*abb24n32+t10*t4*abb24n40+t10*t5*abb24n36&
         &+t11*t4*abb24n41+t11*t5*abb24n37+t12*t4*abb24n52+t12*t5*abb24n55+t13*t&
         &33*abb24n32+t13*t4*abb24n29+t13*t5*abb24n30+t15*t3*abb24n29+t15*t30*ab&
         &b24n51+t15*t32*abb24n41+t15*t33*abb24n40+t15*t6*abb24n31+t15*t7*abb24n&
         &33+t15*t8*abb24n34+t16*t2*abb24n35+t16*t3*abb24n42+t16*t4*abb24n39+t17&
         &*t3*abb24n30+t17*t30*abb24n54+t17*t31*abb24n38+t17*t32*abb24n37+t17*t3&
         &3*abb24n36+t18*t4*abb24n31+t19*t4*abb24n34+t20*t4*abb24n33+t5*t9*abb24&
         &n38+t1*t13*t4*abb24n56+t1*t15*t3*abb24n56+t16*t3*t4*abb24n56)
         return
      end if
      t30 = d(iv1,iv2)
      t2 = spvak2k4(iv2)
      t6 = spvak2k1(iv2)
      t7 = spvak2l6(iv2)
      t8 = k2(iv2)
      t21 = l5(iv2)
      t22 = qshift(iv2)
      t23 = t13*t7
      t24 = spvak3k4(iv2)
      t25 = t13*t24
      t26 = t15*t6
      t27 = t16*t6
      t28 = t15*t24
      t29 = t16*t7
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t30*abb24n43+t30*t4*abb24n51+t30*t5*abb24n54)+t2&
         &3*abb24n29+t25*abb24n42+t26*abb24n29+t27*abb24n42+t28*abb24n39+t29*abb&
         &24n39+k1(iv2)*t17*abb24n38+spvak2l5(iv2)*t16*abb24n35+spvak3k1(iv2)*t1&
         &5*abb24n31+spval5k1(iv2)*t15*abb24n34+spval6k1(iv2)*t15*abb24n33+t1*t2&
         &3*abb24n56+t1*t26*abb24n56+t10*t2*abb24n36+t10*t6*abb24n32+t10*t7*abb2&
         &4n40+t11*t2*abb24n37+t11*t7*abb24n41+t12*t2*abb24n55+t12*t7*abb24n52+t&
         &13*t2*abb24n30+t13*t8*abb24n32+t14*t24*abb24n35+t15*t21*abb24n41+t15*t&
         &22*abb24n52+t15*t8*abb24n40+t17*t21*abb24n37+t17*t22*abb24n55+t17*t6*a&
         &bb24n30+t17*t8*abb24n36+t18*t7*abb24n31+t19*t7*abb24n34+t2*t9*abb24n38&
         &+t20*t7*abb24n33+t25*t4*abb24n56+t27*t4*abb24n56+t28*t3*abb24n56+t29*t&
         &3*abb24n56)
         return
      end if
      t31 = d(iv2,iv3)
      t32 = d(iv1,iv3)
      t1 = spvak2l6(iv3)
      t3 = spvak3k4(iv3)
      t4 = spvak2k1(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak2k4(iv3)*t30*abb24n54+t1*t30*abb24n51+t15*t&
         &31*abb24n51+t17*t31*abb24n54+t2*t32*abb24n54+t32*t7*abb24n51)+t23*t3*a&
         &bb24n56+t26*t3*abb24n56+t1*t13*t24*abb24n56+t1*t16*t6*abb24n56+t15*t24&
         &*t4*abb24n56+t16*t4*t7*abb24n56)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d24:
   subroutine     reconstruct_d24(coeffs)
      use p0_udbar_neepbbbar_groups, only: tensrec_info_group5
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group5), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_24:
      coeffs%coeffs_24%c0 = derivative(czip)
      coeffs%coeffs_24%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_24%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_24%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_24%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_24%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_24%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_24%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_24%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_24%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_24%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_24%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_24%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_24%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_24%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_24%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_24%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_24%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_24%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_24%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_24%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_24%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_24%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_24%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_24%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_24%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_24%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_24%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_24%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_24%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_24%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_24%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_24%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_24%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_24%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_24:
   end subroutine reconstruct_d24
!---#] subroutine reconstruct_d24:
end module p0_udbar_neepbbbar_d24h3l1d
