module     p0_udbar_neepbbbar_d3h3l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wpbb/1.4/Virtual/p0
   ! _udbar_neepbbbar/helicity3/d3h3l1d.f90
   ! generator: haggies (1.1)
   use p0_udbar_neepbbbar_config, only: ki
   use p0_udbar_neepbbbar_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d3
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p0_udbar_neepbbbar_globalsl1, only: epspow
      use p0_udbar_neepbbbar_kinematics
      use p0_udbar_neepbbbar_abbrevd3h3
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      real(ki) :: t31
      real(ki) :: t32
      real(ki) :: t33
      real(ki) :: t34
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k2
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t31 = dotproduct(qshift, qshift)
      t1 = (spvak2l5(1)*qshift(1)-spvak2l5(2)*qshift(2)-spvak2l5(3)*qshift(3)-sp&
      &vak2l5(4)*qshift(4))
      t2 = (spvak2l6(1)*qshift(1)-spvak2l6(2)*qshift(2)-spvak2l6(3)*qshift(3)-sp&
      &vak2l6(4)*qshift(4))
      t32 = dotproduct(k3, qshift)
      t33 = dotproduct(k4, qshift)
      t3 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t34 = dotproduct(k2, qshift)
      t4 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t5 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t6 = (spvak2k3(1)*qshift(1)-spvak2k3(2)*qshift(2)-spvak2k3(3)*qshift(3)-sp&
      &vak2k3(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb3n27+t1*abb3n42+t2*abb3n43+t3*abb3n46+t31*abb3n41+t32*a&
         &bb3n44+t33*abb3n44+t34*abb3n47+t4*abb3n50+t1*t34*abb3n40+t1*t4*abb3n32&
         &+t1*t5*abb3n38+t2*t34*abb3n39+t2*t4*abb3n31+t2*t5*abb3n37+t3*t4*abb3n2&
         &8+t3*t5*abb3n33+t3*t6*abb3n35+t31*t4*abb3n51+t31*t5*abb3n48+t32*t4*abb&
         &3n29+t32*t5*abb3n36+t33*t4*abb3n29+t33*t5*abb3n36+t34*t4*abb3n30+t34*t&
         &5*abb3n34+t1*t3*t4*abb3n53+t2*t3*t4*abb3n54)
         return
      end if
      t7 = k2(iv1)
      t8 = k3(iv1)
      t9 = k4(iv1)
      t10 = qshift(iv1)
      t11 = spvak2k1(iv1)
      t12 = spvak2l5(iv1)
      t13 = spvak2l6(iv1)
      t14 = spvak3k4(iv1)
      t15 = t11*abb3n29
      t16 = spvak2k3(iv1)
      t17 = spvak2k4(iv1)
      t18 = t17*abb3n36
      if(deg.eq.1) then
         numerator = (t10*abb3n45+t11*abb3n50+t12*abb3n42+t13*abb3n43+t14*abb3n4&
         &6+t15*t32+t15*t33+t18*t32+t18*t33+t7*abb3n47+t8*abb3n44+t9*abb3n44+t1*&
         &t11*abb3n32+t1*t17*abb3n38+t1*t7*abb3n40+t10*t4*abb3n52+t10*t5*abb3n49&
         &+t11*t2*abb3n31+t11*t3*abb3n28+t11*t31*abb3n51+t11*t34*abb3n30+t12*t34&
         &*abb3n40+t12*t4*abb3n32+t12*t5*abb3n38+t13*t34*abb3n39+t13*t4*abb3n31+&
         &t13*t5*abb3n37+t14*t4*abb3n28+t14*t5*abb3n33+t14*t6*abb3n35+t16*t3*abb&
         &3n35+t17*t2*abb3n37+t17*t3*abb3n33+t17*t31*abb3n48+t17*t34*abb3n34+t2*&
         &t7*abb3n39+t4*t7*abb3n30+t4*t8*abb3n29+t4*t9*abb3n29+t5*t7*abb3n34+t5*&
         &t8*abb3n36+t5*t9*abb3n36+t1*t11*t3*abb3n53+t1*t14*t4*abb3n53+t11*t2*t3&
         &*abb3n54+t12*t3*t4*abb3n53+t13*t3*t4*abb3n54+t14*t2*t4*abb3n54)
         return
      end if
      t31 = d(iv1,iv2)
      t6 = spvak2k1(iv2)
      t15 = spvak2k4(iv2)
      t18 = spvak2l5(iv2)
      t19 = spvak2l6(iv2)
      t20 = k2(iv2)
      t21 = k3(iv2)
      t22 = k4(iv2)
      t23 = qshift(iv2)
      t24 = t11*t18
      t25 = t11*t19
      t26 = spvak3k4(iv2)
      t27 = t11*t26
      t28 = t12*t6
      t29 = t13*t6
      t30 = t14*t6
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t31*abb3n41+t31*t4*abb3n51+t31*t5*abb3n48)+t24*a&
         &bb3n32+t25*abb3n31+t27*abb3n28+t28*abb3n32+t29*abb3n31+t30*abb3n28+spv&
         &ak2k3(iv2)*t14*abb3n35+t1*t27*abb3n53+t1*t30*abb3n53+t10*t15*abb3n49+t&
         &10*t6*abb3n52+t11*t20*abb3n30+t11*t21*abb3n29+t11*t22*abb3n29+t11*t23*&
         &abb3n52+t12*t15*abb3n38+t12*t20*abb3n40+t13*t15*abb3n37+t13*t20*abb3n3&
         &9+t14*t15*abb3n33+t15*t7*abb3n34+t15*t8*abb3n36+t15*t9*abb3n36+t16*t26&
         &*abb3n35+t17*t18*abb3n38+t17*t19*abb3n37+t17*t20*abb3n34+t17*t21*abb3n&
         &36+t17*t22*abb3n36+t17*t23*abb3n49+t17*t26*abb3n33+t18*t7*abb3n40+t19*&
         &t7*abb3n39+t2*t27*abb3n54+t2*t30*abb3n54+t24*t3*abb3n53+t25*t3*abb3n54&
         &+t28*t3*abb3n53+t29*t3*abb3n54+t6*t7*abb3n30+t6*t8*abb3n29+t6*t9*abb3n&
         &29+t12*t26*t4*abb3n53+t13*t26*t4*abb3n54+t14*t18*t4*abb3n53+t14*t19*t4&
         &*abb3n54)
         return
      end if
      t32 = d(iv2,iv3)
      t33 = d(iv1,iv3)
      t1 = spvak2k1(iv3)
      t2 = spvak3k4(iv3)
      t3 = spvak2l5(iv3)
      t4 = spvak2l6(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak2k4(iv3)*t31*abb3n48+t1*t31*abb3n51+t11*t32&
         &*abb3n51+t15*t33*abb3n48+t17*t32*abb3n48+t33*t6*abb3n51)+t2*t24*abb3n5&
         &3+t2*t25*abb3n54+t2*t28*abb3n53+t2*t29*abb3n54+t1*t12*t26*abb3n53+t1*t&
         &13*t26*abb3n54+t1*t14*t18*abb3n53+t1*t14*t19*abb3n54+t11*t26*t3*abb3n5&
         &3+t11*t26*t4*abb3n54+t14*t3*t6*abb3n53+t14*t4*t6*abb3n54)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d3:
   subroutine     reconstruct_d3(coeffs)
      use p0_udbar_neepbbbar_groups, only: tensrec_info_group2
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group2), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_3:
      coeffs%coeffs_3%c0 = derivative(czip)
      coeffs%coeffs_3%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_3%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_3%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_3%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_3%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_3%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_3%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_3%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_3%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_3%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_3%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_3%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_3%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_3%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_3%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_3%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_3%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_3%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_3%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_3%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_3%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_3%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_3%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_3%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_3%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_3%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_3%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_3%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_3%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_3%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_3%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_3%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_3%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_3%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_3:
   end subroutine reconstruct_d3
!---#] subroutine reconstruct_d3:
end module p0_udbar_neepbbbar_d3h3l1d
